Subject: Re: [PATCH (bugfix)] gitweb: Fix unintended "--no-merges" for regular Atom feed

From: Jakub Narebski <[email-masked]>
Date: Wed, 11 Apr 2012 17:39:06 +0200

On Wed, 4 April 2012, Jakub Narebski wrote:
> Junio C Hamano wrote:
> > Jakub Narebski <[email-masked]> writes:
> > 
> > > Junio, the bug is very minor, so I don't know if it is worth fixing
> > > for 1.7.10.
> > 
> > Does this exist in 1.7.9.x maintenance track?  If it is an old bug, I do
> > not think it should go to 1.7.10 proper (perhaps 1.7.10.1) this late, and
> > if it is a bug in a new feature added for 1.7.10, we may want to fix it
> > before the final, as the impact of the patch seems very minor.
> 
> It is an old bug, from 05bb5a2 (gitweb: Include links to feeds in HTML
> header only for '200 OK' response, 2010-12-18) which refactored feed link
> generation into print_feed_meta().  It is in gitweb since v1.7.4 I think.
> 
> So 1.7.10.1 it is...

Ping!

I don't see this trivial fix (admittedly for obscure bug) in "What's
cooking", and it is not present in 'master'.
 
> > >  gitweb/gitweb.perl |    1 +
> > >  1 files changed, 1 insertions(+), 0 deletions(-)

-- 
Jakub Narebski
Poland